import React from "react";
import { connect } from "react-redux";

export const Textarea = ({ rows, value, onChange, name, placeholder }) => {
  return (
    <textarea
      rows={rows}
      value={value}
      placeholder={placeholder}
      name={name}
      onChange={e => onChange(e.target.name, e.target.value)}
      className={`w-full outline-none border border-solid border-gray-200 focus:border-primary-7 focus:bg-secondary-9 bg-gray-50 rounded-lg placeholder:text-gray-400 focus:text-secondary-8 text-2x p-6 font-2`}
    />
  );
};

const mapStateToProps = (state) => ({});

const mapDispatchToProps = {};

export default connect(mapStateToProps, mapDispatchToProps)(Textarea);
