const initialState = {
  isDark: true,
  menu: false,
  headerOptions: {
    shown: false,
  },
  dialog: {
    text: null,
    type: null,
    accept: null,
    open: null,
  },
  device: 'mobile',
};

export default function developer(state = initialState, action) {
  let { type, data } = action;
  switch (type) {
    case "developer/setMenu":
      return {
        ...state,
        menu: !state.menu,
      };
    case "developer/setDialog":
      return {
        ...state,
        dialog: data,
      };
    case "developer/setHeaderOptions":
      return {
        ...state,
        headerOptions: data,
      };
    case "developer/setDark":
      return {
        ...state,
        isDark: !state.isDark,
      };
      case "developer/setDevice":
        return {
          ...state,
          device: data,
        };
    default:
      return state;
  }
}
