const initialState = {
  list: [
    {
      id: 0,
      firstName: "حمید",
      lastName: "دریادار",
      date: new Date(),
      list: [
        {
          status: true,
          type: "video",
        },
        {
          status: false,
          type: "music",
        },
        {
          status: false,
          type: "image",
        },
      ],
    },
    {
      id: 1,
      firstName: "حمید",
      lastName: "دریادار",
      date: new Date(),
      count: 3,
      list: [
        {
          status: true,
          type: "image",
        },
      ],
    },
    {
      id: 2,
      firstName: "حمید",
      lastName: "دریادار",
      date: new Date(),
      list: [
        {
          status: false,
          type: "music",
        },
        {
          status: false,
          type: "video",
        },
      ],
    },
  ],
  error: false,
  loading: false,
};

export default function story(state = initialState, action) {
  let { type, data } = action;
  switch (type) {
    case "story/seen":
      let fakeList = state.list;
      let doneFlag = false;
      for (let i = 0; i < fakeList.length; i++) {
        if (fakeList[i].id === data.id) {
          for (let j = 0; j < fakeList[i].list.length; j++) {
            if (fakeList[i].list[j].status) {
              continue;
            } else {
              doneFlag = true;
              fakeList[i].list[j].status = true;
              break;
            }
          }
        } else {
          if (doneFlag) {
            break;
          } else {
            continue;
          }
        }
      }
      return {
        ...state,
        loading: false,
        error: null,
        list: fakeList,
      };
    default:
      return state;
  }
}
