import React from "react";
import { connect } from "react-redux";

export const Gradient = ({}) => {
  return (
    <div
      className="w-full flex relative justify-center my-16"
      style={{
        background:
          "linear-gradient(315deg, rgba(255,238,225,1) 0%, rgba(248,250,255,1) 50%, rgba(211,245,255,1) 100%)",
      }}
    >
      <div className="w-10/12 flex">
        <div className="flex-1 flex items-end">
          <div
            className="bg-white rounded-t-3xl"
            style={{
              width: "calc((100vw - 16vw) / 2 * 3 / 5)",
              height: "calc((100vw - 16vw) / 2 * 3 / 5 * 5 / 4)",
            }}
          ></div>
        </div>
        <div className="flex-1 flex flex-col justify-center">
          <strong className="text-primary-3 font-6 text-5x">
            امکانات بسیار متفاوت
            <br /> قابلیت ارسال تصویر، صورت، ویدئو
          </strong>
          <strong className="text-primary-6 font-6 text-2x my-2">
            قابلیت‌های که هرجا نمی‌توانید آن را پیدا کنید{" "}
          </strong>
          <p className="text-primary-1 text-6xl font-4 text-2x">
            یکی از امکانات مهم و ضروری داستان بازی امکان
            <br /> ارسال پاسخ کاربران به شما به صورت نوشته، ویدئو
            <br /> صوت و یا فرمت دلخواه شما می‌باشد.
          </p>
        </div>
      </div>
    </div>
  );
};

const mapStateToProps = (state) => ({});

const mapDispatchToProps = {};

export default connect(mapStateToProps, mapDispatchToProps)(Gradient);
